cdac.medinfo.sdk.hl7282.hl7model.messages.medicalrecords

## Class MDM_T10

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.medicalrecords.MDM_T02_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.medicalrecords.MDM_T10

-     public final class MDM_T10
      extends MDM_T02_Common

  MDM_T10 - ODocument Replacement Notification and Content (Event T10) This event sent a notification of replacement to a document without the accompanying content.

  Represents a MDM_T02 message structure (see chapter 9.6.10). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: PV1 (Patient Visit Segment) SINGLE_COMPULSARY
  6: COMMON_ORDER (a Group of segment in MDM_T02 Message Structure) MULTIPLE_OPTIONAL
  7: TXA (Transcription Document Header Segment) SINGLE_COMPULSARY
  8: CON (Consent Segment) MULTIPLE_OPTIONAL
  9: OBSERVATION (a Group of segment in MDM_T02 Message Structure) MULTIPLE_COMPULSARY
  This class provides mechanism to serialize, parse and to validate message against HL7 v 2.8.2 standards. The class provides accessor & mutators methods for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which should be used to validate Message against HL7 v 2.8.2 standards. It provides user with serialize method to serialize message object to file & parse method to obtain fully populated & validated Message object from file.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  MDM_T10 objT10 = (MDM_T10)MessageFactory.createInstance().createSendSupportedMessage("MDM", "T10");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.medicalrecords.MDM_T02_Common

      `addCommonOrderGroup, addCommonOrderGroups, addConsentSegment, addConsentSegment, addObservationGroup, addObservationGroups, addSoftwareSegment, addSoftwareSegment, getCommonOrderGroups, getConsentSegments, getDocumentNotificationSegment, getEventTypeSegment, getObservationGroups, getPatientIdentificationSegment, getPatientVisitSegment, getSoftwareSegments, getUserAuthenticationCredentialSegment, setDocumentNotificationSegment, setEventTypeSegment, setPatientIdentificationSegment, setPatientVisitSegment, setUserAuthenticationCredentialSegment, validate`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`